object Form1: TForm1
  Left = 424
  Top = 150
  AutoScroll = False
  AutoSize = True
  Caption = 'The Wind Triangle  V2.0'
  ClientHeight = 710
  ClientWidth = 1077
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -14
  Font.Name = 'Arial'
  Font.Style = []
  OldCreateOrder = False
  Position = poScreenCenter
  OnActivate = FormActivate
  PixelsPerInch = 120
  TextHeight = 16
  object PageControl1: TPageControl
    Left = 0
    Top = 0
    Width = 1077
    Height = 686
    ActivePage = TabSheet2
    Align = alClient
    TabOrder = 0
    object TabSheet1: TTabSheet
      Caption = 'Introduction'
      object Memo2: TMemo
        Left = 2
        Top = 20
        Width = 1055
        Height = 602
        Color = 14548991
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -17
        Font.Name = 'Arial'
        Font.Style = []
        Lines.Strings = (
          ''
          
            'Objects moving though still air generally move in the  direction' +
            ' they are pointed.   However moving air,  wind,  will alter the ' +
            'course and speed '
          
            'of the object relative to the ground depending on the wind direc' +
            'tion and speed.'
          ''
          
            'Correcting for the wind is a necessary skill for airplane pilots' +
            ', expert marksmen, and successful golfers.   Only airplanes gene' +
            'rally fly slow '
          
            'enough and high enough that mathematically calculating the wind ' +
            'correction angle is worthwhile.  The technique uses "vector addi' +
            'tion".  '
          
            'Vectors are line segments that have a specific direction, i.e. t' +
            'hey are defined by a length and an angle.  In our Wind triangle ' +
            'we'#39'll have '
          'three vectors:'
          ''
          
            '1. The Wind vector defined by Wind Direction and Windspeed. (Def' +
            'ault color on  Wind Triangle plot - Red)'
          
            '2. The Heading vector defined by the Heading and AirSpeed.  This' +
            ' is the path that the plane would take in still air.  (Default c' +
            'olor - Blue).'
          
            '3. The resulting Track or Course vector defined by the Course An' +
            'gle and speed (Groundspeed) of the plane over the ground. (Defau' +
            'lt color '
          '    - Green)'
          ''
          
            'In most cases, we want the Course and Wind to be an inputs and c' +
            'alculate the proper Heading to offset the effect of the Wind.  S' +
            'earch the '
          
            'web for "Plot Wind Triangle" and you will find a number of pages' +
            ' describing the geometric construction technique.'
          ''
          
            'The "Wind Triangle" tab above provides an interactive version th' +
            'at uses trigonometry to determine the Heading that will keep us ' +
            'on the '
          
            'desired Course. Playing with it will help develop an understandi' +
            'ng of how the variables interact.   A summary of the equations u' +
            'sed is given '
          
            'for each output.  Visit our webstite for more complete derivatio' +
            'ns.'
          ''
          'A couple of notes:'
          
            '1. Unlike mathematicians, navigators define 0 degrees as North v' +
            'ertically straight up (not horizontally to the right) and measur' +
            'e angles '
          'clockwise (not counterclockwise).'
          
            '2. Wind direction is always given as the FROM direction (the upw' +
            'ind direction) while Headings and Courses are given as TO direct' +
            'ion.  The '
          
            'arrow representing Wind Direction will point downwind and be 180' +
            ' degrees from the input direction given.'
          '.'
          ''
          ''
          ' '
          ' '
          ' ')
        ParentFont = False
        TabOrder = 0
      end
    end
    object TabSheet2: TTabSheet
      Caption = 'Wind Triangle'
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -15
      Font.Name = 'MS Sans Serif'
      Font.Style = [fsBold]
      ImageIndex = 1
      ParentFont = False
      DesignSize = (
        1069
        655)
      object PaintBox2: TPaintBox
        Left = 443
        Top = 10
        Width = 594
        Height = 612
        Anchors = [akLeft, akTop, akRight, akBottom]
        OnPaint = PaintBoxPaint
      end
      object MouseLbl: TLabel
        Left = -492
        Top = 335
        Width = 5
        Height = 16
      end
      object WarningLbl: TLabel
        Left = 502
        Top = 197
        Width = 367
        Height = 210
        Anchors = [akLeft, akTop, akRight, akBottom]
        AutoSize = False
        Caption = 
          'Wind correction angle exceeds 90 degrees.  Probably too strong t' +
          'o track desired course'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -17
        Font.Name = 'MS Sans Serif'
        Font.Style = [fsBold]
        ParentFont = False
        WordWrap = True
      end
      object Label1: TLabel
        Left = 0
        Top = 623
        Width = 478
        Height = 20
        Caption = 
          'Double click a  colored field  above to adjust font and plot col' +
          'ors'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -17
        Font.Name = 'Arial'
        Font.Style = [fsItalic]
        ParentFont = False
      end
      object GroupBox1: TGroupBox
        Left = 12
        Top = 248
        Width = 414
        Height = 353
        Caption = 'Calculated results'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -17
        Font.Name = 'Arial'
        Font.Style = [fsBold]
        ParentFont = False
        TabOrder = 0
        object HeadingTxt: TStaticText
          Left = 20
          Top = 197
          Width = 193
          Height = 23
          Caption = ' Recommended Heading: '
          Color = clBlue
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clWhite
          Font.Height = -17
          Font.Name = 'Arial'
          Font.Style = []
          ParentColor = False
          ParentFont = False
          TabOrder = 0
          OnDblClick = ColorChangeClick
        end
        object GspeedTxt: TStaticText
          Left = 20
          Top = 266
          Width = 215
          Height = 23
          Caption = ' Ground Speed                    '
          Color = clGreen
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clWhite
          Font.Height = -17
          Font.Name = 'Arial'
          Font.Style = []
          ParentColor = False
          ParentFont = False
          TabOrder = 1
          OnDblClick = ColorChangeClick
        end
        object WCATxt: TStaticText
          Left = 20
          Top = 138
          Width = 290
          Height = 23
          Caption = 'Angle between Course and Heading     '
          Color = clMaroon
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clWhite
          Font.Height = -17
          Font.Name = 'Arial'
          Font.Style = []
          ParentColor = False
          ParentFont = False
          TabOrder = 2
          OnDblClick = ColorChangeClick
        end
        object WTATxt: TStaticText
          Left = 20
          Top = 81
          Width = 244
          Height = 23
          Caption = 'Angle between Course and Wind'
          Color = clLime
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clBlack
          Font.Height = -17
          Font.Name = 'Arial'
          Font.Style = []
          ParentColor = False
          ParentFont = False
          TabOrder = 3
          OnDblClick = ColorChangeClick
        end
        object StaticText3: TStaticText
          Left = 22
          Top = 102
          Width = 282
          Height = 21
          Caption = 'WTAngle = DesiredCourse - Winddirection'
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clWindowText
          Font.Height = -15
          Font.Name = 'Arial'
          Font.Style = []
          ParentFont = False
          TabOrder = 4
        end
        object StaticText4: TStaticText
          Left = 22
          Top = 164
          Width = 322
          Height = 21
          Caption = 'wca:=ArcSin(Windspeed*sin(WTAngle)/Airspeed'
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clWindowText
          Font.Height = -15
          Font.Name = 'Arial'
          Font.Style = []
          ParentFont = False
          TabOrder = 5
        end
        object StaticText5: TStaticText
          Left = 16
          Top = 291
          Width = 380
          Height = 46
          AutoSize = False
          Caption = 
            'Groundspeed:=                                                   ' +
            '     Airspeed * cos(wca) + WindSpeed * cos(WTAngle)'
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clWindowText
          Font.Height = -15
          Font.Name = 'Arial'
          Font.Style = []
          ParentFont = False
          TabOrder = 6
        end
        object StaticText6: TStaticText
          Left = 22
          Top = 222
          Width = 209
          Height = 21
          Caption = 'Heading:=DesiredCourse+wca;'
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clWindowText
          Font.Height = -15
          Font.Name = 'Arial'
          Font.Style = []
          ParentFont = False
          TabOrder = 7
        end
        object CWindDirTxt: TStaticText
          Left = 20
          Top = 30
          Width = 192
          Height = 23
          Caption = 'Corrected Wind Direction'
          Color = clRed
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clWhite
          Font.Height = -17
          Font.Name = 'Arial'
          Font.Style = []
          ParentColor = False
          ParentFont = False
          TabOrder = 8
          OnDblClick = ColorChangeClick
        end
        object StaticText7: TStaticText
          Left = 22
          Top = 51
          Width = 323
          Height = 21
          Caption = 'Windirection:=Input Wind Direction +180 degrees'
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clWindowText
          Font.Height = -15
          Font.Name = 'Arial'
          Font.Style = []
          ParentFont = False
          TabOrder = 9
        end
      end
      object GroupBox2: TGroupBox
        Left = 12
        Top = 14
        Width = 414
        Height = 211
        Caption = 'Inputs'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -17
        Font.Name = 'Arial'
        Font.Style = [fsBold]
        ParentFont = False
        TabOrder = 1
        object Label5: TLabel
          Left = 10
          Top = 144
          Width = 385
          Height = 49
          AutoSize = False
          Caption = 
            'Select  a field above and use number or up/down  arrow keys to c' +
            'hange input values. .'
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clWindowText
          Font.Height = -17
          Font.Name = 'Arial'
          Font.Style = []
          ParentFont = False
          WordWrap = True
        end
        object AirSpeedUD: TUpDown
          Left = 159
          Top = 40
          Width = 20
          Height = 27
          Associate = AirSpeedEdt
          Min = 10
          Max = 1000
          Position = 100
          TabOrder = 0
        end
        object CourseUD: TUpDown
          Left = 319
          Top = 40
          Width = 20
          Height = 27
          Associate = CourseEdt
          Max = 359
          Position = 75
          TabOrder = 1
          Wrap = True
        end
        object WindDirUD: TUpDown
          Left = 319
          Top = 104
          Width = 20
          Height = 27
          Associate = WindDirEdt
          Max = 359
          Position = 300
          TabOrder = 2
          Wrap = True
        end
        object WindSpeedUD: TUpDown
          Left = 159
          Top = 104
          Width = 20
          Height = 27
          Associate = WindSpeedEdt
          Max = 1000
          Position = 50
          TabOrder = 3
        end
        object AirSpeedEdt: TLabeledEdit
          Left = 79
          Top = 40
          Width = 80
          Height = 27
          Color = clBlue
          EditLabel.Width = 71
          EditLabel.Height = 19
          EditLabel.Caption = 'AirSpeed'
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clWhite
          Font.Height = -17
          Font.Name = 'Arial'
          Font.Style = []
          ParentFont = False
          TabOrder = 4
          Text = '100'
          OnChange = EditChange
          OnDblClick = ColorChangeClick
        end
        object CourseEdt: TLabeledEdit
          Left = 239
          Top = 40
          Width = 80
          Height = 27
          Color = clGreen
          EditLabel.Width = 122
          EditLabel.Height = 19
          EditLabel.Caption = 'Desired Course'
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clWhite
          Font.Height = -17
          Font.Name = 'Arial'
          Font.Style = []
          ParentFont = False
          TabOrder = 5
          Text = '75'
          OnChange = EditChange
          OnDblClick = ColorChangeClick
        end
        object WindSpeedEdt: TLabeledEdit
          Left = 79
          Top = 104
          Width = 80
          Height = 27
          Color = clRed
          EditLabel.Width = 90
          EditLabel.Height = 19
          EditLabel.Caption = 'WindSpeed'
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clWhite
          Font.Height = -17
          Font.Name = 'Arial'
          Font.Style = []
          ParentFont = False
          TabOrder = 7
          Text = '50'
          OnChange = EditChange
          OnDblClick = ColorChangeClick
        end
        object WindDirEdt: TLabeledEdit
          Left = 239
          Top = 104
          Width = 80
          Height = 27
          Color = clRed
          EditLabel.Width = 117
          EditLabel.Height = 19
          EditLabel.Caption = 'Wind Direction'
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clWhite
          Font.Height = -17
          Font.Name = 'Arial'
          Font.Style = []
          ParentFont = False
          TabOrder = 6
          Text = '300'
          OnChange = EditChange
          OnDblClick = ColorChangeClick
        end
      end
    end
  end
  object StaticText1: TStaticText
    Left = 0
    Top = 686
    Width = 1077
    Height = 24
    Cursor = crHandPoint
    Align = alBottom
    Alignment = taCenter
    Caption = 'Copyright  '#169' 2005, 2009  Gary Darby,  www.DelphiForFun.org'
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clBlue
    Font.Height = -17
    Font.Name = 'MS Sans Serif'
    Font.Style = [fsBold, fsUnderline]
    ParentFont = False
    TabOrder = 1
    OnClick = StaticText1Click
  end
end
